

<h1>All posts</h1>
This blog has <%= Article.public_count %> public posts!
<br>

<%= form_with method: :get do |form| %>
  <%= form.label :query, "Search for:" %>
  <%= form.text_field :query, value: params[:query] %>
  <%= form.submit "Search" %>
<% end %>

 

<a href="/">articles</a>
(<%= Article.public_count %>
 <a href="/articles/?a=public">public</a>
<%= Article.private_count %>
<a href="/articles/?a=private">private</a>
 <%= Article.archived_count %>
 <a href="/articles/?a=archived">archived)</a>
 <br>
<br>

 <%= form_with method: :get do |form| %>
<br>

 <%= form_with method: :get%>
 <%= form_tag('ArticleController/show_pub', method: 'get') do %>
 <%= submit_tag "Public", :method => 'show_pub' %>
 <%= submit_tag "Archived", :method => 'show_pub' %>
 <%= submit_tag "Private", :method => 'show_pub' %>
 <% end %>


<ul>
  <% @articles.each do |article| %>
    <% unless article.archived? %>
      <li>
        <%= link_to article.title, article %>
      </li>
    <% end %>
    <p>
     <strong>User name:</strong>
       <%= article.author.username %>
     </p>
    <p><%= article.body %></p>
    <p>
      <i><%= article.created_at %></i>
    </p>
    <p><%= article.likes.count %> <%= (article.likes.count) == 1 ? 'Like' : 'Likes'%></p>
    <% end %>
    <% end %>
</ul>
<%= will_paginate @article %>
<%= link_to "New Article", new_article_path %>
